require "numru/ggraph"
include NumRu

DCL.gropn(4)
DCL.grfrm
DCL.grsvpt(0.2,0.8,0.2,0.8)
DCL.grswnd(0.0,1.0,0.0,100.0)
DCL.grstrn(1)
DCL.grstrf

DCL.uyaxdv('L',10.0,20.0)
DCL.uymttl('L','Height',0)
DCL.uysttl('L','(km)',1)


hfilename = "T10L50_YT2003/venus_Height.nc"
height = GPhys::IO.open(hfilename,'Height')
h = height.cut('lon'=>0,'lat'=>0,'time'=>500).val/1e3
x = NArray.float(h.size)

x.fill!(0.2)
DCL.uulin([0.2,0.2],[0.0,100.0])
DCL.uumrkz(x,h,45,3,0.02)

hfilename = "T10LogP50/venus_Height.nc"
height = GPhys::IO.open(hfilename,'Height')
h = height.cut('lon'=>0,'lat'=>0,'time'=>500).val/1e3
x = NArray.float(h.size)

x.fill!(0.4)
DCL.uulin([0.4,0.4],[0.0,100.0])
DCL.uumrkz(x,h,45,3,0.02)

hfilename = "Height.nc"
height = GPhys::IO.open(hfilename,'Height')
h = height.cut('lon'=>0,'lat'=>0,'time'=>500).val/1e3
x = NArray.float(h.size)

x.fill!(0.6)
DCL.uulin([0.6,0.6],[0.0,100.0])
DCL.uumrkz(x,h,45,3,0.02)

DCL.grfrm
DCL.grsvpt(0.2,0.8,0.2,0.8)
DCL.grswnd(0.0,1.0,1.0,0.0)
DCL.grstrn(1)
DCL.grstrf

DCL.uyaxdv('L',0.1,0.5)
DCL.uymttl('L','Sigma',0)

hfilename = "T10L50_YT2003/venus_Height.nc"
sigma = GPhys::IO.open(hfilename,'sig')
s = sigma.val
x = NArray.float(s.size)

x.fill!(0.2)
DCL.uulin([0.2,0.2],[0.0,1.0])
DCL.uumrkz(x,s,45,3,0.02)

hfilename = "T10LogP50/venus_Height.nc"
sigma = GPhys::IO.open(hfilename,'sig')
s = sigma.val
x = NArray.float(s.size)

x.fill!(0.4)
DCL.uulin([0.4,0.4],[0.0,1.0])
DCL.uumrkz(x,s,45,3,0.02)

hfilename = "Height.nc"
sigma = GPhys::IO.open(hfilename,'sig')
s = sigma.val
x = NArray.float(s.size)

x.fill!(0.6)
DCL.uulin([0.6,0.6],[0.0,1.0])
DCL.uumrkz(x,s,45,3,0.02)

DCL.grcls
